hnscnvt

## Class HNSNonManualConverter

- java.lang.Object
- - hnscnvt.HNSNonManualConverter

-     public class HNSNonManualConverter
      extends java.lang.Object

  Supports the conversion of a string of HNST non-manual tags to the corresponding `<hamnosys_nonmanual>` HNS-SiGML element. The conversion process produces the element text. The primary interface is the `convert(String, String, StringBuilder)` method, which appends the generated element text to a `StringBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNSNonManualConverter()` Constructs a new HNS non-manual converter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(java.lang.String hnsnonman, java.lang.String indent, java.lang.StringBuilder hnsbuf)` Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and appends the text of that element to the given `StringBuilder` with the given indentation at the start of each line.
    `java.lang.String` | `nonManElement(java.lang.String hnsnonman)` Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and returns a string containing the text of that element, with the standard indentation of two spaces at the start of each line.
    `java.lang.String` | `nonManElement(java.lang.String hnsnonman, java.lang.String indent)` Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and returns a string containing the text of that element, with the given indentation at the start of each line.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HNSNonManualConverter

          public HNSNonManualConverter()

      Constructs a new HNS non-manual converter.

  - ### Method Detail

    - #### convert

          public void convert(java.lang.String hnsnonman,
                              java.lang.String indent,
                              java.lang.StringBuilder hnsbuf)

      Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and appends the text of that element to the given `StringBuilder` with the given indentation at the start of each line. If the given HNST non-manual HNS string is `null` or empty, the string builder is left unchanged.

    - #### nonManElement

          public java.lang.String nonManElement(java.lang.String hnsnonman,
                                                java.lang.String indent)

      Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and returns a string containing the text of that element, with the given indentation at the start of each line.

    - #### nonManElement

          public java.lang.String nonManElement(java.lang.String hnsnonman)

      Converts the given HNST non-manual string to a `<hamnosys_nonmanual>` element and returns a string containing the text of that element, with the standard indentation of two spaces at the start of each line.